def var th1 as handle.
def var bh1 as handle.

CREATE TEMP-TABLE th1.

/*
date
*/

th1:ADD-NEW-FIELD("field1", "date", 0, '9/9/99', '2/1/87').
th1:ADD-NEW-FIELD("field2", "date", 0, '', '21/01/87').
th1:ADD-NEW-FIELD("field3", "date", 0, ?, '21/01/87').
th1:ADD-NEW-FIELD("field4", "date", 0, '', '2/1/87').
th1:ADD-NEW-FIELD("field5", "date", 0, ?, '2/1/87').
/* default format*/
th1:ADD-NEW-FIELD("field6", "date", 0, '99/99/99', '21/01/87').


th1:TEMP-TABLE-PREPARE("table1").

bh1 = th1:DEFAULT-BUFFER-HANDLE.
bh1:BUFFER-CREATE.

DISPLAY "date results:   ".
DISPLAY bh1:BUFFER-FIELD("field1"):STRING-VALUE.
DISPLAY bh1:BUFFER-FIELD("field2"):STRING-VALUE.
DISPLAY bh1:BUFFER-FIELD("field3"):STRING-VALUE.
DISPLAY bh1:BUFFER-FIELD("field4"):STRING-VALUE.
DISPLAY bh1:BUFFER-FIELD("field5"):STRING-VALUE.
DISPLAY bh1:BUFFER-FIELD("field6"):STRING-VALUE.



/*

Output:

┌──────────────────────────────────────────────────────────────────────┐
│date results:    2/1/87   21/01/87 21/01/87 02/01/87 02/01/87 21/01/87│
└──────────────────────────────────────────────────────────────────────┘

*/

create book.

def temp-table tt1
field f1 as character
field f2 as character
field f3 as int
field f4 as int.

