def var th1 as handle.
def var bh1 as handle.

CREATE TEMP-TABLE th1.

/*
decimal
*/

th1:ADD-NEW-FIELD("field1", "decimal", 0, '99999.99999', '18.9789').
th1:ADD-NEW-FIELD("field2", "decimal", 0, '', '18.9789').
th1:ADD-NEW-FIELD("field3", "decimal", 0, ?, '18.9789').
th1:ADD-NEW-FIELD("field4", "decimal", 0, '9.9', '18.9789').
th1:ADD-NEW-FIELD("field5", "decimal", 0, '99.9999', '18.9789').
/* default format*/
th1:ADD-NEW-FIELD("field6", "decimal", 0, '->>,>>9.99', '18.9789').

th1:TEMP-TABLE-PREPARE("table1").

bh1 = th1:DEFAULT-BUFFER-HANDLE.
bh1:BUFFER-CREATE.

DISPLAY "decimal results:   ".
DISPLAY bh1:BUFFER-FIELD("field1"):STRING-VALUE.
DISPLAY bh1:BUFFER-FIELD("field2"):STRING-VALUE.
DISPLAY bh1:BUFFER-FIELD("field3"):STRING-VALUE.
DISPLAY bh1:BUFFER-FIELD("field4"):STRING-VALUE.
DISPLAY bh1:BUFFER-FIELD("field5"):STRING-VALUE.
DISPLAY bh1:BUFFER-FIELD("field6"):STRING-VALUE.



/*

Output:


┌─────────────────────────────────────────────────────────────────────────┐
│decimal results:    00018.97      18.      18. ???      18.9789       18.│
└─────────────────────────────────────────────────────────────────────────┘
** Value 19 cannot be displayed using 9.9. (74)


*/


create book.

def temp-table tt1
field f1 as character
field f2 as character
field f3 as int
field f4 as int.

